import { baseRequest } from '@/utils/newRequest'

const request = (url, ...arg) => baseRequest(`/api/webapp/disk/` + url, ...arg)

export default {
	// 获取资管理审核括列表
	page(data) {
		return request('courseauditrecord/page', data, 'get')
	},
	//资源管理添加
	add(data = {}) {
		return request('courseauditrecord/add', data, 'post')
	},
	//发布
	release(data = {}) {
		return request('courseinfo/add', data, 'post')
	},
	//更新状态（审核/删除/恢复）
	updateStatus(data = {}) {
		return request('courseauditrecord/updateStatus', data, 'post')
	},
	//编辑
	edit(data = {}) {
		return request('courseauditrecord/edit', data, 'post')
	},
	//编辑
	detail(data = {}) {
		return request('courseauditrecord/detail', data, 'get')
	},
	//院校下拉接口
	orgTreeSelector(data = {}) {
		return request('college/orgTreeSelector', data, 'get')
	},
	//根据院校id获取专业下拉接口
	zyselect(data = {}) {
		return request('major/select', data, 'get')
	},
	//获取热门关键词下拉接口
	HotKeywords(data = {}) {
		return request('word/select', data, 'get')
	},
	//添加热门关键词
	addHotKeywords(data = {}) {
		return request('word/add', data, 'post')
	},
	//获取课程下拉
	courseAllList(data = {}) {
		return request('courseinfo/allList', data, 'get')
	}
}
